Linux Audio Plugins: novità in vista

Il panorama dei plugin audio per il pinguino ha da sempre spaventato gli esperti del settore in quanto offre una vasta gamma di soluzioni, apparentemente disorganizzate. Già tempo fa avevo espresso un parere su un giovane standard, che piano piano, ora sta emergendo. Ma diamo uno sguardo globale alla situazione

lv2_blue

lv2 logo

  • LADSPA: Standard affermato,“vecchio” e molto diffuso, ma ha delle grosse limitazioni (assenza di GUI, poco estendibile…)
  • DSSI: Prometteva bene nel campo dei software synthesizers, ma al giorno d’oggi, sembra morto.
  • LV2: uno standard giovane, nato per colmare le lacune di LADSPA (Ladspa Version 2), e sembra riuscirci.

Qualche dettaglio in più sullo standard LV2

LV2, offre uno standard ben studiato. Architettura modulare ed estendibile, e specifiche ben ordinate. Offre la possibilità di creare delle GUI (Graphical User Interface) tramite dei costrutti interni (se si necessita di GUI semplici), oppure con qualsiasi altro toolkit, per poter dare maggiore flessibilità ai programmatori in caso si necessiti qualche particolare feature.

LV2 prevede una catalogazione dei plugin in diverse tipologie per facilitare la ricerca all’utente finale. Oltre alla catalogazione per tipo, vi è anche una separazione tra quelli che sono i plugin di elaborazione del suono, e quelli di generazione del suono (es. synth). Proprio come avviene nel caso dello standard VST/VSTi, in cui si ha una separazione netta, tra plugin di elaborazione e i cosidetti VST Instruments.

Bene… ulteriore ordine.

Tuttavia, l’enorme diffusione di LADSPA, frena l’ascesa di questo standard, anche se oggi, si può contare un certo numero di plugin molto interessati e votati ad un ambito professionale (un paio di esempi: INVADA, lv2fil dei quali parlerò meglio in un altro post).

Per usare questi plugin, oggi ci sono solo un paio di alternative valide

Sulla compilazione di Ardour con il supporto LV2, non mi voglio inoltrare troppo ora. Ci sono comunque delle guide in rete. Ma vediamo cosa ci offre zynjacku/lv2rack.

In realtà non è un solo software ma sono 2. Zynjacku è un host per LV2 instruments, quindi caricherà solo synth e generatori. lv2rack invece è l’host per caricare i plugin di elaborazione (es. riverberi, compressori, flanger, …). Così come il più famoso jack-rack, offrono una semplice interfaccia per inserire in un rack virtuale i vari plugin LV2.

Anche questo è da compilare. Scaricate i sorgenti tramite git digitando da terminale il comando

git clone git://repo.or.cz/zynjacku.git

Orasiete pronti per la compilazione… con la mia karmik non ho dovuto installare dipendenze, anche perché ne avevo già un po’ installate, quindi non saprei dirvi cosa dovete scaricarvi per compilarlo🙂 (beh… una cosa che potete fare per cominciare è installare almeno le build-essentials😉 )

Ora non vi resta che avviare Jackd e avviare a vostra scelta zynjacku o lv2rack.

Buon testing a tutti!


		

About axeldamage

Mad Scientist

3 responses to “Linux Audio Plugins: novità in vista”

  1. sutter kaine says :

    Senti io ho bisogno di un’aiuto immenso…uso qjack con jackrack e mi sono scaricato un sacco di ladspa..ora il mio problema è il seguente: che cavolo ne so a quale tipo di “pedale o effetto” corrisponde???!!grazie mille!

  2. axeldamage says :

    Purtroppo devi provarli… A meno che il programmatore non ha fatto una sorta di recensione sul proprio sito!

Trackbacks / Pingbacks

  1. Plugin Audio professionali per Linux? Si può! « Noize Processing - novembre 8, 2009

Lascia un commento

Inserisci i tuoi dati qui sotto o clicca su un'icona per effettuare l'accesso:

Logo WordPress.com

Stai commentando usando il tuo account WordPress.com. Chiudi sessione / Modifica )

Foto Twitter

Stai commentando usando il tuo account Twitter. Chiudi sessione / Modifica )

Foto di Facebook

Stai commentando usando il tuo account Facebook. Chiudi sessione / Modifica )

Google+ photo

Stai commentando usando il tuo account Google+. Chiudi sessione / Modifica )

Connessione a %s...

%d blogger cliccano Mi Piace per questo: